## linux-firmware-mediatek-aiot 1

=== debian/changelog ===
linux-firmware-mediatek-aiot (1-0ubuntu1) jammy; urgency=medium

  * Initial commit
  * Add firmware
    - mediatek/mt7668pr2h.bin 20180517181834
    - mediatek/mt8183/scp.img
    - mediatek/mt7663_n9_rebb.bin 7663mp1827-20190914043434
    - mediatek/mt7663_n9_v3.bin v3.1.1
    - mediatek/mt7663pr2h.bin 7663e2ccn04-2006030247
    - mediatek/mt7663pr2h_rebb.bin 7663e2-1802-19091404338b809
    - mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin 20220110231230
    - mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin 20220209150832a
    - mediatek/WIFI_RAM_CODE_MT7961_1.bin 20220209150915

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Mon, 21 Feb 2022 15:48:10 +0800
