=== debian/control ===
Source: linux-firmware-mediatek-aiot
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
XS-Autobuild: yes

Package: linux-firmware-mediatek-aiot
Architecture: arm64
Depends: ${misc:Depends}
Description: Firmware for Mediatek AIoT boards
 This package contains all firmware required for Mediatek AIoT boards
