=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@

override_dh_install:
	dh_install

override_dh_installdeb:
	dh_installdeb \
		--define DIVERSIONS=@debian/diversions \
		--define COMMON=@debian/$(DEB_SOURCE).common

override_dh_strip:
	# Don't strip anything; it's all pre-built binary blobs and some of
	# it is foreign architecture anyway

LINUXFIRMWARECOMMIT:= 3959b595b39126f5193a51756a76a1231715dbec
LINUXFIRMWAREFILES := \
	mediatek/mt7668pr2h.bin \
	mediatek/mt8183/scp.img \
	mediatek/mt7663_n9_rebb.bin \
	mediatek/mt7663_n9_v3.bin \
	mediatek/mt7663pr2h.bin \
	mediatek/mt7663pr2h_rebb.bin \
	mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin \
	mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin \
	mediatek/WIFI_RAM_CODE_MT7961_1.bin

# get-orig-file,output-dir,source-file,repo-url,commit-id
get-orig-file = mkdir -p $(1)/$(dir $(2)) ; wget -O $(1)/$(2) -- $(3)/$(2)?id=$(4);

get-orig-source:
	rm -rf linux-firmware

	set -x; $(foreach file,$(LINUXFIRMWAREFILES),$(call get-orig-file,linux-firmware,$(file),\
		https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain,$(LINUXFIRMWARECOMMIT)))

	mkdir $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-linux-firmware.tar.gz linux-firmware
	rmdir $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
