## linux-firmware-mediatek-aiot 2

=== debian/changelog ===
linux-firmware-mediatek-aiot (2-0ubuntu1) kinetic; urgency=medium

  * Add firmware: mediatek/mt8195/scp.img v14454.8.0
  * Upgrade firmware as per Mediatek's request:
    - mediatek/mt8183/scp.img v2.0.2745
    - mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin 20220311231139
    - mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin 20220311230842a
    - mediatek/WIFI_RAM_CODE_MT7961_1.bin 20220311230931

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Mon, 13 Jun 2022 17:50:18 +0800
