=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,11 @@
 	# Don't strip anything; it's all pre-built binary blobs and some of
 	# it is foreign architecture anyway
 
-LINUXFIRMWARECOMMIT:= 3959b595b39126f5193a51756a76a1231715dbec
+LINUXFIRMWARECOMMIT:= bdc8ff9f974d541c296212f208ac23bdbdd076d1
 LINUXFIRMWAREFILES := \
 	mediatek/mt7668pr2h.bin \
 	mediatek/mt8183/scp.img \
+	mediatek/mt8195/scp.img \
 	mediatek/mt7663_n9_rebb.bin \
 	mediatek/mt7663_n9_v3.bin \
 	mediatek/mt7663pr2h.bin \
